Subject: [Ffc] Bug in evaluate_dofs

From: Anders Logg <[email-masked]>
Date: Wed, 27 Jan 2010 19:53:20 +0100

There's a bug in evaluate_dofs for tensor-valued elements.

For TensorWeightedPoisson, we get a segmentation fault because the
array named vals declared on line 1319 has length 2 when the
value_size is 4 (=2*2) for the mixed element. The vals array is used
as input to the evaluate call which will assign to all for components.

--
Anders

---

From: Marie Rognes <[email-masked]>
Date: Wed, 27 Jan 2010 20:00:39 +0100

> as input to the evaluate call which will assign to all for components.

Not surprising, I haven't really taken care of tensor-valued elements at 
all.
I can fix tomorrow.

How are we handling tensor-valued elements btw? Flattening them?

--
Marie

---

From: Anders Logg <[email-masked]>
Date: Wed, 27 Jan 2010 20:26:28 +0100

On Wed, Jan 27, 2010 at 08:00:39PM +0100, Marie Rognes wrote:
> Not surprising, I haven't really taken care of tensor-valued
> elements at all.
> I can fix tomorrow.

I gave it a try.

> How are we handling tensor-valued elements btw? Flattening them?

Yes. Everything is flattened to one big vector-valued element.

--
Anders